Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.model.types
Class ServiceId

    java.lang.Object
      org.fourthline.cling.model.types.ServiceId

Direct Known Subclasses:
  UDAServiceId

    public class ServiceId

extends Object

Represents a service identifier, for example `urn:my-domain-namespace:serviceId:MyService123`

Author:
  Christian Bauer

Field Summary
`static Pattern` | `BROKEN_PATTERN`
`static Pattern` | `PATTERN`
`static String` | `UNKNOWN`

Constructor Summary
`ServiceId(String namespace, String id)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getId()`
`String` | `getNamespace()`
`int` | `hashCode()`
`String` | `toString()`
`static ServiceId` | `valueOf(String s)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final String UNKNOWN

See Also:
  Constant Field Values

### PATTERN

    public static final Pattern PATTERN

### BROKEN_PATTERN

    public static final Pattern BROKEN_PATTERN

Constructor Detail

### ServiceId

    public ServiceId(String namespace,
                     String id)

Method Detail

### getNamespace

    public String getNamespace()

### getId

    public String getId()

### valueOf

    public static ServiceId valueOf(String s)
                             throws InvalidValueException

  Throws:
    `InvalidValueException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.